Package robocode

## Class WinEvent

- java.lang.Object
- - robocode.Event
  - - robocode.WinEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Event>`

    public final class WinEvent
    extends Event

This event is sent to `onWin()` when your robot wins the round in a battle.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`WinEvent()` Called by the game to create a new WinEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPriority()` Returns the priority of this event.

### Methods inherited from class robocode.Event

`compareTo, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WinEvent

    public WinEvent()

Called by the game to create a new WinEvent.

### Method Detail

#### getPriority

    public final int getPriority()

Returns the priority of this event.

An event priority is a value from 0 - 99. The higher value, the higher priority.

The default priority is 80, but varies depending on the type of event.

Overrides:
  `getPriority` in class `Event`
Returns:
  the priority of this event.